For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Legacy DocsSign in
DocumentationChangelog
DocumentationChangelog
  • Get Started
    • Introduction
    • Get your API keys
    • Support
    • Privacy policy
    • Status
  • Transaction Enrichment
    • Overview
    • Entities Identification
    • Categorization
    • Recurrence
  • Bank Statements
    • Overview
    • Fast verification
  • Core resources
    • Batches
    • Entities
    • Account Holders
    • Webhooks
    • Personalization
    • Reporting wrong results
  • API Reference
    • Authentication
    • Errors
    • Request IDs
    • Pagination
    • Rate limits
      • POSTSubmit a bank statement PDF
      • GETRetrieve a bank statement
      • GETRetrieve the extraction results
      • GETList all bank statements
      • DELDeletes a bank statement
      • POSTQuickly extract account holder, institution and first account
LogoLogo
Legacy DocsSign in
API ReferenceBank Statements

List all bank statements

GET
https://api.ntropy.com/v3/bank_statements
GET
/v3/bank_statements
$curl -X "GET" \
> "https://api.ntropy.com/v3/bank_statements" \
> -H "Accept: application/json" \
> -H "X-API-KEY: cd1H...Wmhl"
1{
2 "next_cursor": "XjdHaksD",
3 "data": [
4 {
5 "id": "7f8dceac-2848-472d-b5c3-55cdbaf35a9b",
6 "status": "processing",
7 "created_at": "2024-01-01T00:00:00",
8 "file": {
9 "no_pages": 1,
10 "size": 4096
11 },
12 "name": "2014-01-01_2014-02-01_statement.pdf"
13 }
14 ]
15}
Return a list of submitted bank statements starting with the most recent one.
Was this page helpful?
Previous

Deletes a bank statement

Next
Built with

Authentication

X-Api-Keystring
API Key authentication via header

Query parameters

created_afterdatetime or nullOptional
Only return bank statements older or equal than this date
created_beforedatetime or nullOptional
Only return bank statements newer than this date
cursorstring or nullOptional
Starting point for the set of bank statements
limitintegerOptional1-50Defaults to 10
The limit of bank statements to be returned
statusenum or nullOptional
If specified, only return bank statements with this status
Allowed values:

Response

Successful Response
next_cursorstring or null
datalist of objects

Errors

422
Unprocessable Entity Error